LINUX.ORG.RU

Pulseaudio 4.0

 ,


0

0

PulseAudio — звуковая система для POSIX-совместимых ОС. Изначально разрабатывалась для Linux, но также портирована и протестирована на Solaris, FreeBSD, NetBSD, MacOS X, Windows 2000 и Windows XP.

Среди основных изменений в новой версии:

  • улучшена обработка запросов низкими приоритетами;
  • дополнительные оптимизации для микширования (generic, ARM NEON);
  • для пересчёта теперь по умолчанию используется Speex-float-1 (для меньшей нагрузки на ЦПУ);
  • существенная переработка Bluetooth для большей надежности и облегчения труда мэйнтейнеров;
  • улучшения для работы с JACK;
  • новый модуль для «ducking» на основе ролей потоков;
  • исправления в системе подавления эхо;
  • задействовано автодополнение Bash и Zsh;
  • исправления ошибок для Solaris и OS X;
  • много других улучшений, исправлений ошибок, обновлений документации и локализаций.

Также следует отметить, что требуемая версия D-Bus теперь 1.4.12, alsa-lib — 1.0.24, GTK+ теперь нужен как минимум 3.0. libsystemd-daemon удалён из списка зависимостей. pa_format_info_free2 теперь окончательно удалён из libpulse

Источник новости

Скачать tarballс исходными кодами

libsystemd-daemon удалён из списка зависимостей.

Нафига?

Quasar ★★★★★ ()

улучшения для работы с JACK;

Я не понял: Леннарт решил прекратить своё участие в проекте PulseAudio?

Quasar ★★★★★ ()
Ответ на: комментарий от dib2

Не просто не встроили, а ещё и удалили. Подозрительно адекватные действия.

Quasar ★★★★★ ()

GTK+ теперь нужен как минимум 3.0

emerge -C pulseaudio

echo media-sound/pulseaudio>>/etc/portage/package.mask/gtk3

Так и знал, что прийдётся.

mittorn ★★★★★ ()
Ответ на: комментарий от Dron

Они не входят в состав сорцов PA, да и к тому же, pavucontrol уже давно на gtk3.

На самом деле единственные упоминания о gtk находятся в src/tests/gtk-test.c и в src/pulsecore/proplist-util.c

geekless ★★ ()
Ответ на: комментарий от Dron

Во всех виденных мной дистрибутивах это отдельные пакеты. А сам пульсаудио никакого gtk не требует.

vurdalak ★★★★★ ()
Ответ на: комментарий от geekless

Тогда я тоже не понимаю нафига им gtk3, да и gtk вобще.

Dron ★★★★★ ()

вуковая система для POSIX-совместимых ОС

Windows 2000 и Windows XP.

Я что-то упустил? )

А вообще, не знал что оно на виндах работает... А на более новых почему не?

pihter ★★★★ ()

Надо будет обновиться, вдруг перестанет щёлкать и заикаться, когда одновременно музыку в амароке слушаешь и в игры (например X3TC) играешь.

kranky ★★★★★ ()
Ответ на: комментарий от anonymous

В кедах есть плазмоид с польностью аналогичной функциональностью.

fragmentor ()
Ответ на: комментарий от pihter

Да упустил - винда имеет сертификат совместимости с POSIX 20 лет или около того. Линакс - до сих пор его не имеет кстати. Вот такой парадокс. :-)

anonymous ()
Ответ на: комментарий от anonymous

А где они в новом мажорном Firefox? В новом Chrome? В новом systemd? В новом udev? В Linux 3.0 относительно последнего 2.6.хх?

Модно сейчас просто циферки менять (толи чтобы легче запоминалось, толи разработчикам большие циферки ЧСВ тешат).

Deleted ()

libsystemd-daemon удалён из списка зависимостей.

Отлично

Также следует отметить, что требуемая версия D-Bus теперь 1.4.12, alsa-lib — 1.0.24, GTK+ теперь нужен как минимум 3.0.

Мне расхотелось это собирать.

yoghurt ★★★★★ ()
Последнее исправление: yoghurt (всего исправлений: 1)

GTK+ теперь нужен как минимум 3.0.

pavucontrol как-то и непользуюсь.

libsystemd-daemon удалён из списка зависимостей

А он был? O_o

a1batross ★★★★★ ()
Ответ на: комментарий от a1batross

А он был?

[ebuild   R    ] media-sound/pulseaudio-3.0-r1  USE="X alsa asyncns bluetooth caps dbus equalizer glib ipv6 orc qt4 ssl tcpd udev webrtc-aec -avahi -doc -gdbm -gnome -gtk -jack -libsamplerate -lirc (-neon) (-oss) -realtime (-system-wide) -systemd {-test} -xen" 0 kB

Юз systemd как бы намекает.

fragmentor ()
Ответ на: комментарий от BillDver

Мне он нравится возможностью раздельно рулить громкостью по приложениям. Больше я плюсов не нашёл.

fragmentor ()
Ответ на: комментарий от pihter

Я вообще не особо понимаю, зачем оно нужно в шинде. Что, есть портированные на неё проги, которые юзают пульсу и которым позарез нужен звук?

MiniRoboDancer ★☆ ()

поздравляю всех пользователей данного проэкта, если таковые имеются :)

waker ★★★★★ ()
Ответ на: комментарий от MiniRoboDancer

Я вообще не особо понимаю, зачем оно нужно в шинде

Чтобы по сети звук транслировать. В корпоративной сетке транслируешь какой-нибудь противной бабище звуки коитуса на всю громкость и подло хихикаешь.

fragmentor ()

улучшения для работы с JACK

Ну почему средства управления потоками нельзя засунуть сразу в пульсаудиву? Зачем кормить наплождённых сущностей?

Greh ★★ ()
Ответ на: комментарий от anonymous

винда имеет сертификат совместимости с POSIX 20 лет или около того. Линакс - до сих пор его не имеет кстати

/me соскребает остатки шаблонов со стен...

pihter ★★★★ ()
Ответ на: комментарий от anonymous

Википедия в списке POSIX-сертифицированных винду не показывает, однако повествует:

Microsoft Windows Services for UNIX — обеспечивает полное соответствие POSIX для некоторых продуктов Microsoft Windows. Операционные системы на базе Windows NT до Windows 2000 имели POSIX-уровень, встроенный в ОС, и UNIX Services for Windows предоставляло UNIX-подобное окружение. Для Windows XP, Windows Services for UNIX должны быть установлены для POSIX-совместимости. UNIX-подсистема встроена в Enterprise и Ultimate редакции Windows Vista и не может быть добавлена в другие редакции.

А вот про то, что Linux - не POSIX-сертифицированная ОС или, там, FreeBSD.. Ладно еще Линукс - зоопарк, все понятно, но бздуны... просто пофиг всем, видимо.. не знаю. В последний раз такой культурный шок был когда я узнал что огнелиса в дебиане нет :) Пойду напьюсь :)

pihter ★★★★ ()

GTK+ теперь нужен как минимум 3.0

Леннарт молодец. Не стал выбирать говнокути. Сразу видно, что проект серьёзный.

chromium ()
Ответ на: комментарий от MiniRoboDancer

Я вообще не особо понимаю, зачем оно нужно в шинде

Я тоже. А еще я как-то видел КДЕ под оффтоп. Зачем? Понимать отказываюсь. Представляю сколько усилий по переносу, но не представляю кто бы мог этим пользоваться... То же и с пульзой. Я, правда не щупал, за исключением периода когда убунту пробовал (Там же пульз, не путаю?) но там никак не сталкивался. Человеки вон говорят что можно отдельно по приложениям громкость крутить - любопытно, запомню

pihter ★★★★ ()
Ответ на: комментарий от pihter

В последний раз такой культурный шок был когда я узнал что огнелиса в дебиане нет :)

Зато там есть Chromium. А если есть Chromium, зачем нужен Firefox?

chromium ()
Ответ на: комментарий от pihter

Винда-то имеет, да. Только для этого нужно поставить Microsoft Windows Services for UNIX (если это не NT и 2000, где эта штука была встроена).

Плюс там есть ограничения: например, доступа к сети как к таковой нет, но к файлам через сеть есть. И т.п.

jackill ★★★★★ ()
Ответ на: комментарий от fragmentor

Чтобы по сети звук транслировать

Ае! :) теперь мне уже интересно

pihter ★★★★ ()
Ответ на: комментарий от Greh

Ну почему средства управления потоками нельзя засунуть сразу в пульсаудиву? Зачем кормить наплождённых сущностей?

Потому что к третьей версии она с ними все еще не разобралась, не говоря уж о латентности.

Протерять где-нить поток - это pulseaudio.

jackill ★★★★★ ()
Ответ на: комментарий от jackill

Опять все отвалится, устройства переименуются, в скайпе сдохнет микрофон...

Какой дистр юзаете?

vilisvir ★★★★★ ()
Ответ на: комментарий от Greh

В данном случае «наплождённой сущностью» является сама пульса. JACK и так умеет и потоки, и нормальное микширование, да ещё и реалтайм умеет, но поцтеринг, видите-ли, не осилил, и начал плодить свои костыльные сущности.

kranky ★★★★★ ()

* новый модуль для «ducking» на основе ролей потоков;

но зачем? O_o

lazyklimm ★★★★★ ()
Ответ на: комментарий от pihter

В последний раз такой культурный шок был когда я узнал что огнелиса в дебиане нет :)

Iceweasel - это тот же огнелис, только в профиль.

anonymous ()
Ответ на: комментарий от chromium

А если есть Chromium, зачем нужен Firefox?

А затем что в Firefox'e есть костыли ко всему. Там все работает, все ожиданно, все обычно. И там привычный для браузера интерфейс, а не минималистичность, от которой тошно. Понятное дело что для вконтактодевушек адресная строка и строка поиска - одно и то же, но, когда вбиваешь в это окошко localhost, то ожидаешь увидеть совсем не поиск гугла по слову localhost. Приходится при помощи такой-то матери дописывать префикс http://

pihter ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.